# database credentials from defined config file
spring.config.import = /etc/CampOrganizer2/prod.properties

# define overwriteable arguments
spring.datasource.driver-class-name = ${spring.datasource.driver-class-name:org.postgresql.Driver}
spring.datasource.url = ${spring.datasource.url}
spring.datasource.username = ${spring.datasource.username}
spring.datasource.password = ${spring.datasource.password}

server.servlet.context-path = ${server.servlet.context-path:/CampOrganizer2}

keycloak.auth-server-url = ${keycloak.auth-server-url}
keycloak.realm = ${keycloak.realm:ow}
keycloak.resource = ${keycloak.resource:biblecamp}
keycloak.public-client = ${keycloak.public-client}
keycloak.use-resource-role-mappings = ${keycloak.use-resource-role-mappings}

ow.keycloak.admin.name = ${ow.keycloak.admin.name}
ow.keycloak.admin.password = ${ow.keycloak.admin.password}

spring.mail.default-encoding = ${spring.mail.default-encoding}
spring.mail.host = ${spring.mail.host}
spring.mail.username = ${spring.mail.username}
spring.mail.password = ${spring.mail.password}
spring.mail.port = ${spring.mail.port}
spring.mail.protocol = ${spring.mail.protocol}
spring.mail.test-connection = ${spring.mail.test-connection}
spring.mail.properties.mail.smtp.auth = ${spring.mail.properties.mail.smtp.auth}
spring.mail.properties.mail.smtp.starttls.enable = ${spring.mail.properties.mail.smtp.starttls.enable}

# for development only
server.port = 8081

